VerityVerity API
API Reference

Compare policies across jurisdictions

Compare coverage policies across different MAC jurisdictions for the same procedure codes. Supports idempotency keys for safe retries.

POST
/policies/compare

Authorization

bearerAuth
AuthorizationBearer <token>

API keys are prefixed with vrt_live_ for production or vrt_test_ for testing. Example: vrt_live_abc123xyz

In: header

Header Parameters

X-Idempotency-Key?string

Unique request identifier for safe retries (recommended)

Request Body

application/json

procedure_codes*array<>

Array of CPT/HCPCS codes to compare

Items1 <= items <= 10
policy_type?string

Filter by policy type

Value in"LCD" | "Article" | "NCD"
jurisdictions?array<>

Specific jurisdictions to compare (all if omitted)

Itemsitems <= 10

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://verity.backworkai.com/api/v1/policies/compare" \  -H "Content-Type: application/json" \  -d '{    "procedure_codes": [      "76942",      "76937"    ]  }'
{
  "success": true,
  "data": {
    "comparison": [
      {
        "jurisdiction": "string",
        "mac": {
          "name": "Palmetto GBA",
          "code": "11502",
          "jurisdiction_name": "Jurisdiction M",
          "states": [
            "TX",
            "OK",
            "NM"
          ]
        },
        "policies": [
          {
            "policy_id": "string",
            "title": "string",
            "policy_type": "string",
            "effective_date": "string",
            "is_national": true,
            "codes": [
              {
                "code": "string",
                "code_system": "string",
                "disposition": "string"
              }
            ]
          }
        ],
        "coverage_summary": {
          "covered": 0,
          "not_covered": 0,
          "requires_pa": 0,
          "conditional": 0
        }
      }
    ],
    "national_policies": [
      {
        "policy_id": "string",
        "title": "string",
        "policy_type": "string",
        "effective_date": "string",
        "is_national": true,
        "codes": [
          {
            "code": "string",
            "code_system": "string",
            "disposition": "string"
          }
        ]
      }
    ],
    "summary": {
      "total_jurisdictions": 0,
      "jurisdictions_with_coverage": 0,
      "national_policies_count": 0,
      "has_variation": true,
      "queried_codes": [
        "string"
      ],
      "policy_type_filter": "string"
    }
  },
  "meta": {
    "idempotency_key": "string"
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}